## org.apache.batik.gvt.flow
Class BlockInfo

    java.lang.Object
      org.apache.batik.gvt.flow.BlockInfo

    public class BlockInfo

extends java.lang.Object

Field Summary
`static int` `ALIGN_END`
`static int` `ALIGN_FULL`
`static int` `ALIGN_MIDDLE`
`static int` `ALIGN_START`
`protected int` `alignment`
`protected float` `ascent`
`protected float` `bottom`
`protected float` `descent`
`protected boolean` `flowRegionBreak`
`protected java.util.Map` `fontAttrs`
`protected java.util.List` `fontList`
`protected float` `indent`
`protected float` `left`
`protected float` `lineHeight`
`protected float` `right`
`protected float` `top`

Constructor Summary
`BlockInfo(float top, float right, float bottom, float left, float indent, int alignment, float lineHeight, java.util.List fontList, java.util.Map fontAttrs, boolean flowRegionBreak)`
`BlockInfo(float margin, int alignment)`

Method Summary
`float` `getAscent()`
`float` `getBottomMargin()`
`float` `getDescent()`
`java.util.Map` `getFontAttrs()`
`java.util.List` `getFontList()`
`float` `getIndent()`
`float` `getLeftMargin()`
`float` `getLineHeight()`
`float` `getRightMargin()`
`int` `getTextAlignment()`
`float` `getTopMargin()`
`void` `initLineInfo(java.awt.font.FontRenderContext frc)`
`boolean` `isFlowRegionBreak()`
`void` `setMargin(float margin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALIGN_START

    public static final int ALIGN_START

See Also:
  Constant Field Values

### ALIGN_MIDDLE

    public static final int ALIGN_MIDDLE

See Also:
  Constant Field Values

### ALIGN_END

    public static final int ALIGN_END

See Also:
  Constant Field Values

### ALIGN_FULL

    public static final int ALIGN_FULL

See Also:
  Constant Field Values

### top

    protected float top

### right

    protected float right

### bottom

    protected float bottom

### left

    protected float left

### indent

    protected float indent

### alignment

    protected int alignment

### lineHeight

    protected float lineHeight

### fontList

    protected java.util.List fontList

### fontAttrs

    protected java.util.Map fontAttrs

### ascent

    protected float ascent

### descent

    protected float descent

### flowRegionBreak

    protected boolean flowRegionBreak

Constructor Detail

### BlockInfo

    public BlockInfo(float top,
                     float right,
                     float bottom,
                     float left,
                     float indent,
                     int alignment,
                     float lineHeight,
                     java.util.List fontList,
                     java.util.Map fontAttrs,
                     boolean flowRegionBreak)

### BlockInfo

    public BlockInfo(float margin,
                     int alignment)

Method Detail

### setMargin

    public void setMargin(float margin)

### initLineInfo

    public void initLineInfo(java.awt.font.FontRenderContext frc)

### getTopMargin

    public float getTopMargin()

### getRightMargin

    public float getRightMargin()

### getBottomMargin

    public float getBottomMargin()

### getLeftMargin

    public float getLeftMargin()

### getIndent

    public float getIndent()

### getTextAlignment

    public int getTextAlignment()

### getLineHeight

    public float getLineHeight()

### getFontList

    public java.util.List getFontList()

### getFontAttrs

    public java.util.Map getFontAttrs()

### getAscent

    public float getAscent()

### getDescent

    public float getDescent()

### isFlowRegionBreak

    public boolean isFlowRegionBreak()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.